#include <iostream>
#include "antlr4-common.h"
#include "SysYLexer.h"
#include "SysYParser.h"
#include "SysYParserBaseListener.h"
#include "MyVisitor.h"

int main(int argc, const char* argv[]) {
    std::string testcase_path(TESTCASE_PATH);
    std::ifstream stream(testcase_path + "/" + "test.sy");
    assert(stream);
    antlr4::ANTLRInputStream input(stream);
    antlr4::SysYLexer lexer(&input);
    antlr4::CommonTokenStream tokens(&lexer);
    antlr4::SysYParser parser(&tokens);

    antlr4::tree::ParseTree *tree = parser.compUnit();
//    TreeShapeListener listener;
//    antlr4::tree::ParseTreeWalker::DEFAULT.walk(&listener, tree);
    MyVisitor visitor;
    visitor.visit(tree);

    return 0;
}
